Whirlycache 1.0 Released

Whirlycache 1.0 is released.  This release fixes a harmless exception that can sometimes occur during cache shutdown.  And it also removes the JDOM dependency so there’s one less jar file required to deploy. The 1.0 release is a dropin replacement for earlier versions.



We’re now starting work on the 2.x branch, which will explicitly require JRE 1.5 or higher.

The 1.0 branch will be supported in the future for those users who need to continue using JRE 1.4.

Thanks again to Peter Royal and Seth Fitzsimmons for working on this with me over the years.

One thought on “Whirlycache 1.0 Released”

  1. Hi,

    Just downloaded whirlycache 1.0.1 and I still see an exception at shutdown time.

    java.lang.InterruptedException
    at EDU.oswego.cs.dl.util.concurrent.ConcurrentHashMap.entrySet(Unknown Source)

    (concurrent-1.3.4.jar)

    Thanks,

    Ted

Comments are closed.